Name:          libilbc
Epoch:         1
Version:       3.0.4
Release:       1mamba
Summary:       Internet Low Bitrate Codec (iLBC) library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/TimothyGu/libilbc/
Source:        https://github.com/TimothyGu/libilbc.git/v%{version}/libilbc-%{version}.tar.bz2
Source1:       ilbc-pkgconfig
License:       Freeware
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
Internet Low Bitrate Codec (iLBC) library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libilbc.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_bindir}/ilbc_test
%{_includedir}/ilbc.h
%{_includedir}/ilbc_export.h
%{_libdir}/libilbc.so
%{_libdir}/pkgconfig/libilbc.pc
%dir %{_docdir}/libilbc
%{_docdir}/libilbc/*
%doc README.md

%changelog
* Tue Nov 21 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-1mamba
- update to 3.0.4

* Tue Feb 21 2012 Silvan Calarco <silvan.calarco@mambasoft.it> rfc3951-1mamba
- package created by autospec
